## stress-ng 0.12.06

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.12.06
#
# Codename "keen kernel killer"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
endif

#
# Verbosity
#
ifeq ($(VERBOSE),)
V=@
Q=@
else
V=
Q=@#
endif

GREP = grep
#
# SunOS requires special grep for -e support
#
KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static -z muldefs
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aio-linux.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cap.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-fork.c \
	stress-fp-error.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-handle.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-iosync.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-l1cache.c \
	stress-lease.c \
	stress-link.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmapmany.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-mq.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-personality.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-poll.c \
	stress-prctl.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-radixsort.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-remap-file-pages.c \
	stress-rename.c \
	stress-resources.c \
	stress-revio.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rseq.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-secretmem.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-session.c \
	stress-set.c \
	stress-shellsort.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigabrt.c \
	stress-sigchld.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-signal.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sigtrap.c \
	stress-skiplist.c \
	stress-sleep.c \
	stress-sock.c \
	stress-sockabuse.c \
	stress-sockdiag.c \
	stress-sockfd.c \
	stress-sockpair.c \
	stress-sockmany.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-sysbadaddr.c \
	stress-sysinfo.c \
	stress-sysinval.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-tun.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-unshare.c \
	stress-uprobe.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-utime.c \
	stress-vdso.c \
	stress-vecmath.c \
	stress-verity.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-watchdog.c \
	stress-wcstr.c \
	stress-x86syscall.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	core-affinity.c \
	core-cache.c \
	core-cpu.c \
	core-hash.c \
	core-helper.c \
	core-ignite-cpu.c \
	core-io-priority.c \
	core-job.c \
	core-limit.c \
	core-log.c \
	core-madvise.c \
	core-mincore.c \
	core-mlock.c \
	core-mmap.c \
	core-mounts.c \
	core-mwc.c \
	core-net.c \
	core-out-of-memory.c \
	core-parse-opts.c \
	core-perf.c \
	core-sched.c \
	core-setting.c \
	core-shim.c \
	core-thermal-zone.c \
	core-time.c \
	core-thrash.c \
	core-ftrace.c \
	core-try-open.c \
	core-vmstat.c \
	stress-ng.c

SRC = $(CORE_SRC) $(STRESS_SRC)
OBJS = $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

all: makeconfig
	+$(MAKE) stress-ng

#
#  Load in and set flags based on config
#
-include config
CFLAGS += $(CONFIG_CFLAGS)
LDFLAGS += $(CONFIG_LDFLAGS)
OBJS += $(CONFIG_OBJS)

.SUFFIXES: .c .o

.o: Makefile

%.o: %.c stress-ng.h config.h
	$(Q)echo "CC $<"
	$(V)$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: $(OBJS)
	$(Q)echo "LD $@"
	$(V)$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
	$(V)sync

config.h:
	+$(MAKE) -f Makefile.config STATIC=$(STATIC) -j

.PHONY:
makeconfig: config.h

#
#  generate apparmor data using minimal core utils tools from apparmor
#  parser output
#
apparmor-data.o: usr.bin.pulseaudio.eg
	$(V)$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin
	$(V)echo "#include <stddef.h>" > apparmor-data.c
	$(V)echo "char g_apparmor_data[]= { " >> apparmor-data.c
	$(V)od -tx1 -An -v < apparmor-data.bin | \
		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
		sed '$$ s/.$$//' >> apparmor-data.c
	$(V)echo "};" >> apparmor-data.c
	$(V)echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
	$(Q)echo "CC $<"
	$(V)$(CC) -c apparmor-data.c -o apparmor-data.o
	$(V)rm -rf apparmor-data.c apparmor-data.bin

#
#  extract the PER_* personality enums
#
personality.h:
	$(V)$(CPP) $(CONFIG_CFLAGS) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
	| sed "s/.$$/,/" > personality.h
	$(Q)echo "MK personality.h"

stress-personality.c: personality.h

#
#  extract IORING_OP enums and #define HAVE_ prefixed values
#  so we can check if these enums exist
#
io-uring.h:
	$(V)$(CPP) $(CONFIG_CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
	sed 's/IORING_OP_/#define HAVE_IORING_OP_/' > io-uring.h
	$(Q)echo "MK io-uring.h"

stress-io-uring.c: io-uring.h

core-perf.o: core-perf.c core-perf-event.c
	$(V)$(CC) $(CFLAGS) -E core-perf-event.c | $(GREP) "PERF_COUNT" | \
	sed 's/,/ /' | sed s/'^ *//' | \
	awk {'print "#define _SNG_" $$1 " (1)"'} > core-perf-event.h
	$(Q)echo CC $<
	$(V)$(CC) $(CFLAGS) -c -o $@ $<

stress-vecmath.o: stress-vecmath.c
	$(Q)echo CC $<
	$(V)$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<

$(OBJS): stress-ng.h Makefile

stress-ng.1.gz: stress-ng.1
	$(V)gzip -c $< > $@

.PHONY: dist
dist:
	rm -rf stress-ng-$(VERSION)
	mkdir stress-ng-$(VERSION)
	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
		core-personality.c core-io-uring.c \
		COPYING syscalls.txt mascot README \
		stress-af-alg-defconfigs.h README.Android test snap \
		TODO core-perf-event.c usr.bin.pulseaudio.eg \
		stress-version.h bash-completion example-jobs .travis.yml \
		kernel-coverage.sh code-of-conduct.txt stress-ng-$(VERSION)
	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
	rm -rf stress-ng-$(VERSION)

.PHONY: pdf
pdf:
	man -t ./stress-ng.1 | ps2pdf - > stress-ng.pdf


.PHONY: clean
clean:
	$(V)rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
	$(V)rm -f stress-ng-$(VERSION).tar.xz
	$(V)rm -f personality.h
	$(V)rm -f io-uring.h
	$(V)rm -f perf-event.h
	$(V)rm -f apparmor-data.bin
	$(V)rm -f *.o
	$(V)rm -f config config.h

.PHONY: fast-test-all
fast-test-all: all
	STRESS_NG=./stress-ng debian/tests/fast-test-all

.PHONY: lite-test
lite-test: all
	STRESS_NG=./stress-ng debian/tests/lite-test

.PHONY: slow-test-all
slow-test-all: all
	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics

.PHONY: install
install: stress-ng stress-ng.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp stress-ng ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
	mkdir -p ${DESTDIR}${JOBDIR}
	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
	mkdir -p ${DESTDIR}${BASHDIR}
	cp bash-completion/stress-ng ${DESTDIR}${BASHDIR}

=== debian/changelog ===
stress-ng (0.12.06-1ubuntu2) hirsute; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 19:19:19 +0000

stress-ng (0.12.06-1ubuntu1) hirsute; urgency=medium

  * Quote the system-info.version value in YAML metrics (LP: #1943623)
   - upstream commit a52f236917f5 ("core-helper: Quote the
     system-info.version value in YAML metrics")

 -- Colin King <colin.king@canonical.com>  Tue, 14 Sep 2021 18:08:14 +0100

stress-ng (0.12.06-1) unstable; urgency=medium

  [Helmut Grohne]
  * Add VERBOSE build options (Closes: #971719)

  [Colin Ian King]
  * Makefile: bump version
  * Makefile: update code name
  * Manual: update date
  * Makefile.config: move the HAVE_VLA_ARG
  * stress-zlib: add missing , between string literals
  * stress-cpu: don't run checksums on zero sized buffers
  * Makefile.config: re-order build time checks for pretty output
  * Makefile.config: remove extraneous .h from userfaultfd.h text
  * Makefile.config: remove leading space before swapcontext text
  * Makefile.config: fix missing "struct" test from message
  * Makefile.config: emit yes/no answer to config checks
  * Manual: clarify the 0 or less than zero number of instances
  * Makefile: generate config.h file from Makefile.config
  * Replace #if MACRO with #if defined(MACRO)
  * stress-sysbadaddr: don't use read/write if readv/writev are not
    available
  * stress-hdd: fall back to read/write if readv/writev are not
    available
  * stress-cyclic: rework when to define stress_cyclic_stats
  * stress-cyclic: build in stress_cyclic_stats only if it is required
  * stress-set: clear up static analysis warning

 -- Colin King <colin.king@canonical.com>  Thu, 24 Mar 2021 13:14:15 +0000

stress-ng (0.12.05-1) unstable; urgency=medium

  [Witold Baryluk]
  * stress-cpu.c update proc state to RUN before the main loop

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update date
  * stress-l1cache: add pointer casting for mmap/munmap for openhipster
  * stress-af-alg-defconfigs.h: minor sort re-ordering
  * stress-af-alg: make --af-alg-dump option dump the stringified type
  * stress-ioport: fix typo in comment
  * stress-l1cache: remove a line
  * stress-l1cache: skip stressor if l1cache info is zero
  * core-helper: rename __stress_get_stack_direction
  * stress-mmapfork: rename __strlcat to notrunc_strlcat
  * fast-test-all: omit l1cache as this requires cache info that may
    not be available
  * stress-l1cache: fix non-Linux build failure
  * stress-timer: periodically exercise /proc/self/timers
  * stress-cpu: add exim's nhash for one more hashing cpu exercising
    method
  * stress-ng: report skipped messages only on the first instance
  * stress-verity: add FS_IOC_READ_VERITY_METADATA ioctl
  * stress-pthread: report the maximum number of concurrent pthreads
  * stress-cpu: update short help information
  * stress-ng: add CPU % used per processor metrics
  * Manual: update contributors list
  * core-cache: assume CPU is online if online information not available
  * stress-io-uring: remove debug message
  * stress-l1cache: handle non-power of 2 alignments
  * stress-l1cache: remove unused variable ret
  * stress-l1cache: add new level 1 cache stressor
  * core-cache: fix fetching of cache ways information
  * stress-cyclic: add build time check for clock_gettime in
    stress_cyclic_usleep
  * stress-dentry: fix build warning of utime when utime is not declared
  * stress-rawsock: add build time check for HAVE_ICMPHDR
  * stress-dentry: add build time check for struct utimbuf

 -- Colin King <colin.king@canonical.com>  Fri, 12 Mar 2021 09:44:11 +0000

=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               zlib1g-dev,
               libbsd-dev,
               libgcrypt20-dev,
               libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64],
               libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libipsec-mb-dev [amd64],
               libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Homepage: https://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

## stress-ng 0.13.04

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.12.06
-#
-# Codename "keen kernel killer"
+VERSION=0.13.04
+#
+# Codename "wakeboarding interstellar wombat"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -36,6 +36,7 @@
 #
 # Verbosity
 #
+override undefine V
 ifeq ($(VERBOSE),)
 V=@
 Q=@
@@ -78,6 +79,7 @@
 	stress-af-alg.c \
 	stress-aio.c \
 	stress-aio-linux.c \
+	stress-alarm.c \
 	stress-apparmor.c \
 	stress-atomic.c \
 	stress-bad-altstack.c \
@@ -111,6 +113,7 @@
 	stress-dev-shm.c \
 	stress-dir.c \
 	stress-dirdeep.c \
+	stress-dirmany.c \
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
@@ -120,6 +123,7 @@
 	stress-epoll.c \
 	stress-eventfd.c \
 	stress-exec.c \
+	stress-exit-group.c \
 	stress-fallocate.c \
 	stress-fanotify.c \
 	stress-fault.c \
@@ -131,6 +135,7 @@
 	stress-flock.c \
 	stress-fork.c \
 	stress-fp-error.c \
+	stress-fpunch.c \
 	stress-fstat.c \
 	stress-full.c \
 	stress-funccall.c \
@@ -162,8 +167,11 @@
 	stress-kill.c \
 	stress-klog.c \
 	stress-l1cache.c \
+	stress-landlock.c \
 	stress-lease.c \
 	stress-link.c \
+	stress-list.c \
+	stress-loadavg.c \
 	stress-lockbus.c \
 	stress-locka.c \
 	stress-lockf.c \
@@ -184,6 +192,7 @@
 	stress-memthrash.c \
 	stress-mergesort.c \
 	stress-mincore.c \
+	stress-misaligned.c \
 	stress-mknod.c \
 	stress-mlock.c \
 	stress-mlockmany.c \
@@ -191,11 +200,13 @@
 	stress-mmapaddr.c \
 	stress-mmapfixed.c \
 	stress-mmapfork.c \
+	stress-mmaphuge.c \
 	stress-mmapmany.c \
+	stress-mq.c \
 	stress-mremap.c \
 	stress-msg.c \
 	stress-msync.c \
-	stress-mq.c \
+	stress-munmap.c \
 	stress-nanosleep.c \
 	stress-netdev.c \
 	stress-netlink-proc.c \
@@ -207,6 +218,7 @@
 	stress-oom-pipe.c \
 	stress-opcode.c \
 	stress-open.c \
+	stress-pci.c \
 	stress-personality.c \
 	stress-physpage.c \
 	stress-pidfd.c \
@@ -216,6 +228,7 @@
 	stress-pkey.c \
 	stress-poll.c \
 	stress-prctl.c \
+	stress-prefetch.c \
 	stress-procfs.c \
 	stress-pthread.c \
 	stress-ptrace.c \
@@ -259,6 +272,7 @@
 	stress-sigfpe.c \
 	stress-sigio.c \
 	stress-signal.c \
+	stress-signest.c \
 	stress-sigpending.c \
 	stress-sigpipe.c \
 	stress-sigq.c \
@@ -268,6 +282,7 @@
 	stress-sigtrap.c \
 	stress-skiplist.c \
 	stress-sleep.c \
+	stress-smi.c \
 	stress-sock.c \
 	stress-sockabuse.c \
 	stress-sockdiag.c \
@@ -341,6 +356,7 @@
 	core-mincore.c \
 	core-mlock.c \
 	core-mmap.c \
+	core-module.c \
 	core-mounts.c \
 	core-mwc.c \
 	core-net.c \
@@ -350,6 +366,7 @@
 	core-sched.c \
 	core-setting.c \
 	core-shim.c \
+	core-smart.c \
 	core-thermal-zone.c \
 	core-time.c \
 	core-thrash.c \
@@ -364,7 +381,7 @@
 APPARMOR_PARSER=/sbin/apparmor_parser
 
 all: makeconfig
-	+$(MAKE) stress-ng
+	+$(MAKE) stress-ng VERBOSE=$(VERBOSE)
 
 #
 #  Load in and set flags based on config
@@ -378,7 +395,7 @@
 
 .o: Makefile
 
-%.o: %.c stress-ng.h config.h
+%.o: %.c stress-ng.h config.h git-commit-id.h
 	$(Q)echo "CC $<"
 	$(V)$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -425,7 +442,7 @@
 #  so we can check if these enums exist
 #
 io-uring.h:
-	$(V)$(CPP) $(CONFIG_CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
+	$(V)$(CPP) $(CFLAGS) core-io-uring.c  | $(GREP) IORING_OP | sed 's/,//' | \
 	sed 's/IORING_OP_/#define HAVE_IORING_OP_/' > io-uring.h
 	$(Q)echo "MK io-uring.h"
 
@@ -441,6 +458,17 @@
 stress-vecmath.o: stress-vecmath.c
 	$(Q)echo CC $<
 	$(V)$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
+
+#
+#  define STRESS_GIT_COMMIT_ID
+#
+git-commit-id.h:
+	$(Q)echo "MK $@"
+	@if [ -e .git/HEAD -a -e .git/index ]; then \
+		echo "#define STRESS_GIT_COMMIT_ID \"$(shell git rev-parse HEAD)\"" > $@ ; \
+	else \
+		echo "#define STRESS_GIT_COMMIT_ID \"\"" > $@ ; \
+	fi
 
 $(OBJS): stress-ng.h Makefile
 
@@ -470,12 +498,14 @@
 clean:
 	$(V)rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
 	$(V)rm -f stress-ng-$(VERSION).tar.xz
+	$(V)rm -f io-uring.h
+	$(V)rm -f git-commit-id.h
+	$(V)rm -f perf-event.h
 	$(V)rm -f personality.h
-	$(V)rm -f io-uring.h
-	$(V)rm -f perf-event.h
 	$(V)rm -f apparmor-data.bin
 	$(V)rm -f *.o
 	$(V)rm -f config config.h
+	$(V)rm -f tags
 
 .PHONY: fast-test-all
 fast-test-all: all
@@ -488,13 +518,21 @@
 .PHONY: slow-test-all
 slow-test-all: all
 	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
+
+.PHONY: tags
+tags:
+	ctags -R --extra=+f --c-kinds=+p *
 
 .PHONY: install
 install: stress-ng stress-ng.1.gz
 	mkdir -p ${DESTDIR}${BINDIR}
 	cp stress-ng ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
+ifneq ($(MAN_COMPRESS),0)
 	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
+else
+	cp stress-ng.1 ${DESTDIR}${MANDIR}
+endif
 	mkdir -p ${DESTDIR}${JOBDIR}
 	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
 	mkdir -p ${DESTDIR}${BASHDIR}

=== debian/changelog ===
stress-ng (0.13.04-1ubuntu1) impish; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 18:23:12 +0000

stress-ng (0.13.04-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-fallocate: Fix ENOENT failure messages
  * stress-sock: remove redundant variable msg_len
  * stress-dccp: remove redundant variable msg_len
  * stress-prefetch: add missing volatile in pointer cast
  * core-vmstat: optimization: remove check for non-null
  * core-vmstat: reduce scope of variable ret
  * stress-mergesort: don't jmp out of mergesort on NetBSD
  * stress-vm-segv: Fix weird hangs on DragonFlyBSD
  * stress-chmod: add EPERM check to systems that also support EFTYPE
  * stress-rmap: fix rmap bogo-ops threshold
  * Fix typo: HAVE_LOFF_T -> HAVE_OFF_T
  * Add off_t type detection and use it if loff_t is not defined
  * stress-prefetch: prefix macros with STRESS_ to avoid FreeBSD
    macro conflict
  * stress-prefetch: fix mmap/munmap type warnings on OpenHipster
  * stress-prefetch: use correct format specifier for size_t variable
    l3_data_mmap_size
  * stress-prefetch: add stress_void_ptr_put and use it to stash pointers
  * stress-prefetch: Add a L3 prefetch read benchmarking stressor
  * stress-fifo: exercise invalid mmap on fifo fd
  * stress-fifo: periodically exercise FIONREAD on read end of pipe
  * stress-fifo: periodically perform invalid lseek on pipe fd
  * stress-pthread: use phread_mutexattr calls to use priority
    inheritence
  * stress-misaligned: perform misaligned read/writes on page and cache
    boundaries

 -- Colin King <colin.king@canonical.com>  Tue, 28 Sep 2021 11:02:11 +0100

stress-ng (0.13.03-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-remap: Fix build failure on systems without MAP_POPULATE

 -- Colin King <colin.king@canonical.com>  Fri, 17 Sep 2021 12:33:12 +0100

stress-ng (0.13.02-1) unstable; urgency=medium

  [Fabien Malfoy]
  * core-helper: Quote the system-info.version value in YAML metrics
  [Danilo Krummrich]
  * core-vmstat: fix trim of devnames for nvme devices

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update update contributors list and date
  * Signed-off-by: Colin Ian King <colin.king@canonical.com>
  * core-vmstat: make helper function static and constify arg
  * stress-opcode: clean up clang-11 pedantic build warning
  * stress-aio: perform retry if EBUSY occurs
  * stress-vm: constify end pointers
  * stress-stream: constify pointers idx1, idx2, idx3
  * stress-opcode: make pointer ops_end const
  * stress-msync: make pointer buf const
  * stress-mcontend: constify pointer vdata
  * stress-malloc: move scope of ptr and end, constify end
  * stress-malloc: make parameters counters const
  * Treewide: fix spelling mistakes and typos
  * stress-cpu: use the __builtin_parity function if it is available
  * core-vmstat: fix assignment that should be a comparison
  * stress-io-uring: silently ignore ENOSPC failures
  * stress-io-uring: fix typo in comment
  * stress-prctl: move } around #endif
  * stress-procfs: add reverse seek/reads on non fifo procfs entries
  * stress-swap: periodically create invalid swap header
  * stress-loop: exercise invalid ioctl on loop control device
  * stress-loop: exercise invalid block sizes
  * stress-loop: perform invalid removal of device -1
  * core-vmstat: use '\0' end of string rather than 0
  * snapcraft: move to core20 and add some extra build dependencies in
  * Manual: update contributors list
  * stress-fanotify: add Linux 5.15 FAN_REPORT_PIDFD option
  * stress-ng: --thrash: drop caches at random periodical intervals
  * stress-prctl: remove tabs
  * core-vmstat: use shim_strlcpy instead of strcpy
  * stress-prctl: add Linux 5.15 PR_SPEC_L1D_FLUSH operation
  * core-vmstat: trim from dev name not the stat file
  * core-vmstat: handle devices such as /dev/sda1 -> /dev/sda
  * core-helper: handle SIGSTKSZ being potentially a sysconf call
  * Add --iostat option to periodically dump out I/O stats
  * stress-ng: fix dynlib-ops command, typo in dynlib
  * stress-loadavg: Fix spelling mistake "averge" -> "average"
  * stress-vm-rw: remove extraneous space in error message
  * stress-numa: add new MPOL_PREFERRED_MANY option
  * kerne-coverage: add more file system options and stressor test scenarios
  * Manual: fix context switch --switch-freq option

 -- Colin King <colin.king@canonical.com>  Tue, 14 Sep 2021 14:14:14 +0100

stress-ng (0.13.01-1) unstable; urgency=medium

  [Maxime Chevallier]
  * stress-ng: Fix random stressor assignment

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update date
  * stress-kcmp: move close to avoid fd1 leak on exit
  * stress-set: no need to initialize fsgid, remove assignment
  * stress-hdd: fill write/read buffer with random data
  * stress-set: initialize uid/gid variables
  * Add yielding check and success exit if we timeout
  * stress-fork: don't use getpgid if it is not available
  * stress-dir: only use mkdirat if it is available.
  * stress-hdd: voidify fd to clean up Minix build warnings
  * stress-wait: fix build warning on Minix
  * stress-pkey: add pkey_set build time detection
  * stress-pkey: add pkey_get build time detection
  * test: use pkey_mprotect call rather than system call
  * test: use pkey_alloc call rather than system call
  * stress-pkey: use pkey call if it is available
  * stress-xattr: fix build error when XATTR_SIZE_MAX is not defined
  * stress-sockpair: fix name shadowing of variable ret
  * stress-seccomp: unconstify seccomp_actions, clean up build warning
  * stress-malloc: rename malloc_touch to avoid name shadowing
  * stress-exit-group: remove duplicated declaration of ret
  * stress-set: exercise getresgid with valid and invalid arguments
  * stress-sem: exercise semop and semtimedop with invalid arguments


=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                libipsec-mb-dev [amd64],
                libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
-               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+               libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: https://kernel.ubuntu.com/~cking/stress-ng
 
 Package: stress-ng

## stress-ng 0.13.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2013-2021 Canonical, Ltd.
+# Copyright (C) 2021-2022 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +17,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.13.04
-#
-# Codename "wakeboarding interstellar wombat"
+VERSION=0.13.12
+#
+# Codename "refulgent coruscating seadragon"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -30,7 +31,15 @@
 CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
-	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
+	-DHAVE_PEDANTIC
+endif
+
+#
+# Expected build warnings
+#
+ifeq ($(UNEXPECTED),1)
+CFLAGS += -DCHECK_UNEXPECTED
 endif
 
 #
@@ -144,7 +153,9 @@
 	stress-get.c \
 	stress-getrandom.c \
 	stress-getdent.c \
+	stress-goto.c \
 	stress-handle.c \
+	stress-hash.c \
 	stress-hdd.c \
 	stress-heapsort.c \
 	stress-hrtimers.c \
@@ -166,6 +177,7 @@
 	stress-key.c \
 	stress-kill.c \
 	stress-klog.c \
+	stress-kvm.c \
 	stress-l1cache.c \
 	stress-landlock.c \
 	stress-lease.c \
@@ -218,6 +230,7 @@
 	stress-oom-pipe.c \
 	stress-opcode.c \
 	stress-open.c \
+	stress-pageswap.c \
 	stress-pci.c \
 	stress-personality.c \
 	stress-physpage.c \
@@ -236,6 +249,7 @@
 	stress-quota.c \
 	stress-qsort.c \
 	stress-radixsort.c \
+	stress-randlist.c \
 	stress-ramfs.c \
 	stress-rawdev.c \
 	stress-rawpkt.c \
@@ -246,6 +260,7 @@
 	stress-reboot.c \
 	stress-remap-file-pages.c \
 	stress-rename.c \
+	stress-resched.c \
 	stress-resources.c \
 	stress-revio.c \
 	stress-rlimit.c \
@@ -291,6 +306,7 @@
 	stress-sockmany.c \
 	stress-softlockup.c \
 	stress-spawn.c \
+	stress-sparsematrix.c \
 	stress-splice.c \
 	stress-stack.c \
 	stress-stackmmap.c \
@@ -299,6 +315,7 @@
 	stress-swap.c \
 	stress-switch.c \
 	stress-sync-file.c \
+	stress-syncload.c \
 	stress-sysbadaddr.c \
 	stress-sysinfo.c \
 	stress-sysinval.c \
@@ -318,9 +335,11 @@
 	stress-uprobe.c \
 	stress-urandom.c \
 	stress-userfaultfd.c \
+	stress-usersyscall.c \
 	stress-utime.c \
 	stress-vdso.c \
 	stress-vecmath.c \
+	stress-vecwide.c \
 	stress-verity.c \
 	stress-vforkmany.c \
 	stress-vm.c \
@@ -350,6 +369,7 @@
 	core-ignite-cpu.c \
 	core-io-priority.c \
 	core-job.c \
+	core-killpid.c \
 	core-limit.c \
 	core-log.c \
 	core-madvise.c \
@@ -395,7 +415,10 @@
 
 .o: Makefile
 
-%.o: %.c stress-ng.h config.h git-commit-id.h
+%.o: %.c stress-ng.h config.h git-commit-id.h core-capabilities.h core-put.h \
+	 core-target-clones.h core-pragma.h core-perf.h core-thermal-zone.h \
+	 core-smart.h core-thrash.h core-net.h core-ftrace.h core-cache.h \
+	 core-nt-store.h core-arch.h core-cpu.h core-vecmath.h
 	$(Q)echo "CC $<"
 	$(V)$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -473,15 +496,20 @@
 $(OBJS): stress-ng.h Makefile
 
 stress-ng.1.gz: stress-ng.1
-	$(V)gzip -c $< > $@
+	$(V)gzip -n -c $< > $@
 
 .PHONY: dist
 dist:
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
-		core-personality.c core-io-uring.c \
-		COPYING syscalls.txt mascot README \
+		core-capabilities.h core-put.h  core-target-clones.h \
+		core-pragma.h core-perf.h core-thermal-zone.h core-smart.h \
+		core-thrash.h core-net.h core-ftrace.h core-cache.h \
+		core-hash.h core-io-priority.h core-nt-store.h \
+		core-personality.c core-io-uring.c core-arch.h \
+		core-cpu.h core-vecmath.h \
+		COPYING syscalls.txt mascot README.md \
 		stress-af-alg-defconfigs.h README.Android test snap \
 		TODO core-perf-event.c usr.bin.pulseaudio.eg \
 		stress-version.h bash-completion example-jobs .travis.yml \
@@ -517,23 +545,3 @@
 
 .PHONY: slow-test-all
 slow-test-all: all
-	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics
-
-.PHONY: tags
-tags:
-	ctags -R --extra=+f --c-kinds=+p *
-
-.PHONY: install
-install: stress-ng stress-ng.1.gz
-	mkdir -p ${DESTDIR}${BINDIR}
-	cp stress-ng ${DESTDIR}${BINDIR}
-	mkdir -p ${DESTDIR}${MANDIR}
-ifneq ($(MAN_COMPRESS),0)
-	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
-else
-	cp stress-ng.1 ${DESTDIR}${MANDIR}
-endif
-	mkdir -p ${DESTDIR}${JOBDIR}
-	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}
-	mkdir -p ${DESTDIR}${BASHDIR}
-	cp bash-completion/stress-ng ${DESTDIR}${BASHDIR}

=== debian/changelog ===
stress-ng (0.13.12-2ubuntu1) jammy; urgency=medium

  * Fix malloc stressor verification (LP: #1972906)
    - backport of upstream commit ddecc607f916f8c9561f40c7ddc7d9e5c7528ff1

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 28 Oct 2022 08:21:41 +0100

stress-ng (0.13.12-2) unstable; urgency=medium

  * Fix SIGINT sending alarm signal to all stressors (LP: #1966657)
    - should be sending signal to the process group and not a specific pid

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 28 Mar 2022 10:02:12 +0100

stress-ng (0.13.12-1) unstable; urgency=medium

  [Maya Rashish]
  * stress-sysinval: correct typo timerfd_settime

  [Colin Ian King]
  * Makefile: add in core-vecmath.h to make dist rule
  * Manual: update date
  * Makefile: update version
  * Makefile: update code name to "refulgent coruscating seadragon"
  * core-shim: use system call for getcpu for S390x
  * stress-cpu: disable decimal math on s390x to avoid SIGILL
  * stress-usersyscall: check if user syscall mechanism is implemented
  * stress-sysbadaddr: include ptrace header
  * stress-sigsegv: only declare has_sse2 when it is required
  * stress-sysinval: cast return from mmap to clean up OpenHipster
    warning
  * stress-mmapmany: cast return from mmap to uint64_t * to clean up
    OpenHipster warning
  * core-vmstat: fix build warning in stress_find_mount_dev
  * core-vmstat: check for makedev/major macro include file
  * stress-dirdeep: check for null scanlist items
  * stress-dirdeep: don't exercise more inodes than those available
  * stress-zombie: voidify pid argument for non-linux builds
  * stress-sysinval: remove closed comment */ for getdtablesize
  * stress-radixsort: add in missing const in strcmp casts
  * stress-env: rename variable sz to env_sz to avoid name shadowing
  * stress-timer: remove blank line
  * stress-zombie: add zombie state check when --verify is enabled
  * stress-vm-segv: add simple test validation check
  * stress-usersyscall: add verify always flag since the inteface is
    being checked
  * stress-tee: add counter check to verify data is sane over pipes
  * stress-swap: add simple page check value to ensure swap works
  * stress-swap: add swap retries and measure swapped pages
  * stress-sparsematrix: add verify always flag
  * stress-sockpair: report system errors with pr_err rather than pr_fail
  * stress-sockmany: report system errors with pr_err rather than pr_fail
  * stress-sockfd: report system errors with pr_err rather than pr_fail
  * stress-sock: report system errors with pr_err rather than pr_fail
  * stress-sendfile: add verify flag, don't report system errors as
    failures
  * stress-sigsuspend: report system errors with pr_err rather than
    pr_fail
  * stress-sigrt: report system errors with pr_err rather than pr_fail
  * stress-sigq: report system errors with pr_err rather than pr_fail
  * stress-sigpipe: report system errors with pr_err rather than pr_fail
  * stress-sigio: report system errors with pr_err rather than pr_fail
  * stress-sigfpe: report system errors with pr_err rather than pr_fail
  * stress-sigfd: report system errors with pr_err rather than pr_fail
  * stress-sigchld: report system errors with pr_err rather than pr_fail
  * stress-shellsort: report system errors with pr_err rather than pr_fail
  * stress-sendfile: add verify flag, don't report system errors as
    failures
  * stress-rmap: report system errors with pr_err rather than pr_fail
  * stress-rlimit: remove a blank line
  * stress-radixsort: add optional sort order verification
  * stress-qsort: replace fail message on calloc failure with error
    message
  * stress-pidfd: add verify flag and replace a fail with an error
    message
  * stress-nanosleep: report error as an error not as a test failure
  * stress-mmapmany: add memory contents verification
  * stress-mmapaddr: indicate that verification is always on
  * stress-longjump: add a simple longjmp failure detection for
    verification
  * stress-lockofd: report system errors with pr_err rather than pr_fail
  * stress-lockf: report system errors with pr_err rather than pr_fail
  * stress-locka: report system errors with pr_err rather than pr_fail
  * stress-list: add verify flag since the lists are being santity
    checked
  * stress-lease: add one verification point on lease UNLOCK
  * stress-itimer: add verification of itimer signal handling
  * stress-iosync: add more verification checks on sync'ing calls
  * stress-hrtimers: add hrtimer interrupt detection for verification
  * stress-goto: fix cut-n-paste error in --goto-direction error message
  * stress-filename: add verify VERIFY_ALWAYS since stressor does
    validation
  * stress-exit-group: add simple check to see if exit_group exits
  * stress-env: make verify optional based on --verify setting
  * stress-env: add low memory checking and env var value checking
  * stress-ipsec-mb: add in missing core-cpu.h include
  * TOOD: add a couple more ideas of stress cases that could be added
  * test-v2di: reference variable __v2di to clean up cppcheck style
    warning
  * test-timerfd-settime: remove unused variable timerid
  * test-timerfd-gettime: remove unused variable timerid
  * test-sendfile.c: use variable count
  * stress-ng.h: move core-cpu prototypes into core-cpu.h
  * stress-vm: clean up pedantic volatile discard warning on prefetch
  * stress-sysinval: no need to make stress_syscall_exercised volatile
  * stress-pthread: rename pthreads to pthread_info
  * stress-memrate: clean up pedantic volatile discard warning on
    prefetch
  * stress-vm: replace aliased pointer with direct cast
  * stress-bind-mount: use umount2 to umount, check for files in bind
    mount
  * stress-cpu: add logistical map chaotic data computation method logmap
  * Manual: update bug filing URL
  * stress-alarm: move #defines to start of code
  * stress-aio: constify pattern argument
  * stress-aio: align macro constants


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+XSBC-Original-Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.6.0
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                zlib1g-dev,
@@ -19,8 +19,9 @@
                libipsec-mb-dev [amd64],
                libjudy-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                libatomic1 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
-               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Homepage: https://kernel.ubuntu.com/~cking/stress-ng
+               libkmod-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+               libxxhash-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+Homepage: https://github.com/ColinIanKing/stress-ng
 
 Package: stress-ng
 Architecture: any
